local Aloft = Aloft
if not Aloft or not Aloft:GetModule("ClassData", true) then return end
if not AloftLocale or not AloftLocale.AloftClassData then return end

-----------------------------------------------------------------------------

local AloftClassData = Aloft:GetModule("ClassData")

local L = AloftLocale.AloftClassData

-----------------------------------------------------------------------------

Aloft.Options.args.data.args.class =
{
	type = 'toggle',
	width = 'full',
	name = L["Save Class Data"],
	desc = L["Stores player class information between sessions"],
	disabled = function(i) return not Aloft:IsEnabled() or not AloftClassData:IsEnabled() or not AloftClassData.db or not AloftClassData.db.profile end,
	get = function(i) return AloftClassData.db.profile.save end,
	set = AloftClassData.SetSaveData
}

-----------------------------------------------------------------------------
